<template>
  <button type="button" @click="click" class="ml-2 mb-1 close" :data-dismiss="dismiss" :aria-label="label">
    <icon name="x" aria-hidden="true"/>
  </button>
</template>

<script>
export default {
  name: 'close-btn',

  props: {
    dismiss: {
      type: String,
      default: ''
    },

    label: {
      type: String,
      default: 'Close'
    }
  },

  methods: {
    click (e) {
      this.$emit('close', e)
    }
  }
}
</script>

<style lang="scss" scoped>
@import '~bootstrap/scss/close';

/deep/ svg {
  vertical-align: top;
}
</style>
